/*Tug of War Module =>
input Player1: This signal goes HIGH (1) when Player 1 pushes their button
input Player2: This signal goes HIGH (1) when Player 2 pushes their button
input RESET: This signal goes HIGH (1) when the RESET switch is flipped up
input CLK: This is a clock provided for you, it runs at 24 Megahertz
output reg Player1Scores: This is a register output goes HIGH (1) for one clock cycle after P1 scores a point.
output reg Player2Scores: This is a register output bus HIGH (1) for one clock cycle after P2 scores a point.
input P1Win: This signal goes high after P1 has won.
input P2Win: This signal goes high after P2 has won.
output reg [16:0] LEDs: This is a register output bus which should have exactly 1 of the 17 registers HIGH (1).
						The register that is high denotes the position of the LED on the board.
output [6:0] HEX1: This is an output which acts as a seperator between Player 1's and Player 2's scores on the HEX display.
output [6:0] HEX2: This is an output which acts as a seperator between Player 1's and Player 2's scores on the HEX display. 
*/
module tugofwar (input Player1, input Player2, input RESET, input CLK,
	output reg Player1Scores, output reg Player2Scores,
	input P1Win, input P2Win,
	output reg [16:0] LEDs, output [6:0] HEX1, output [6:0] HEX2);
	
	//Leave these two assignments alone.
	assign HEX1 = 7'b0111111; //Assigns HEX1 to be "-"
	assign HEX2 = 7'b0111111; //Assigns HEX2 to be "-"
	
	//Type your code below:

endmodule